com.gisgraphy.reversegeocoding

## Class AddressHelper

- java.lang.Object
- - com.gisgraphy.reversegeocoding.AddressHelper

-     @Service
      public class AddressHelper
      extends Object

  Some useful method for housenumber
  Author:
    David Masclet

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AddressHelper()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.gisgraphy.addressparser.Address` | `buildAddressFromHouseNumberDistance(HouseNumberDistance houseNumberDistance)`
    `com.gisgraphy.addressparser.Address` | `buildAddressFromOpenstreetMap(OpenStreetMap openStreetMap)`
    `com.gisgraphy.addressparser.Address` | `buildAddressFromOpenstreetMapAndPoint(OpenStreetMap openStreetMap, com.vividsolutions.jts.geom.Point point)`
    `HouseNumberDistance` | `getNearestHouse(SortedSet<HouseNumber> houses, com.vividsolutions.jts.geom.Point location)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AddressHelper

          public AddressHelper()

  - ### Method Detail

    - #### getNearestHouse

          public HouseNumberDistance getNearestHouse(SortedSet<HouseNumber> houses,
                                            com.vividsolutions.jts.geom.Point location)

    - #### buildAddressFromOpenstreetMap

          public com.gisgraphy.addressparser.Address buildAddressFromOpenstreetMap(OpenStreetMap openStreetMap)

    - #### buildAddressFromOpenstreetMapAndPoint

          public com.gisgraphy.addressparser.Address buildAddressFromOpenstreetMapAndPoint(OpenStreetMap openStreetMap,
                                                                                  com.vividsolutions.jts.geom.Point point)

    - #### buildAddressFromHouseNumberDistance

          public com.gisgraphy.addressparser.Address buildAddressFromHouseNumberDistance(HouseNumberDistance houseNumberDistance)

Copyright © 2015. All rights reserved.